<template>
  <p class="monetization-status">
    {{
      isMonetized()
        ? `🤑 You're contributing with this project!`
        : "😥 No money coming."
    }}
    <span v-if="hasPaidAnything()">
      {{ `In this session you paid ${getFormattedAmount()}. Yay!` }}
    </span>
  </p>
</template>

<script>
export default {
  name: "monetization-status",
  methods: {
    isMonetized: function() {
      return this.$monetization.start.state === "started";
    },
    hasPaidAnything: function() {
      return this.$monetization.progress.totalAmount > 0;
    },
    getFormattedAmount: function() {
      const { formattedTotalAmount, assetCode } = this.$monetization.progress;
      return `${formattedTotalAmount} ${assetCode}`;
    }
  }
};
</script>
